searchNodes=[{"doc":"UUID generator and utilities for Elixir. See RFC 4122.","ref":"UUID.html","title":"UUID","type":"module"},{"doc":"Convert binary UUID data to a string.Will raise an ArgumentError if the given binary is not valid UUID data, or the format argument is not one of: :default, :hex, :urn, or :raw.Examplesiex&gt; UUID.binary_to_string!(&lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, ...&gt; 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt;) &quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot; iex&gt; UUID.binary_to_string!(&lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, ...&gt; 234, 107, 143, 75, 91, 110, 115&gt;&gt;, :hex) &quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot; iex&gt; UUID.binary_to_string!(&lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, ...&gt; 19, 20, 16, 159, 241, 163, 4&gt;&gt;, :urn) &quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot; iex&gt; UUID.binary_to_string!(&lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, ...&gt; 47, 171, 144, 84, 164, 155, 52&gt;&gt;, :raw) &lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;","ref":"UUID.html#binary_to_string!/2","title":"UUID.binary_to_string!/2","type":"function"},{"doc":"See UUID.Info.new/1.","ref":"UUID.html#info/1","title":"UUID.info/1","type":"function"},{"doc":"See UUID.Info.new!/1.","ref":"UUID.html#info!/1","title":"UUID.info!/1","type":"function"},{"doc":"Convert a UUID string to its binary data equivalent.Will raise an ArgumentError if the given string is not a UUID representation in a format like:&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;Examplesiex&gt; UUID.string_to_binary!(&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;) &lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt; iex&gt; UUID.string_to_binary!(&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;) &lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, 234, 107, 143, 75, 91, 110, 115&gt;&gt; iex&gt; UUID.string_to_binary!(&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;) &lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, 19, 20, 16, 159, 241, 163, 4&gt;&gt; iex&gt; UUID.string_to_binary!(&lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, ...&gt; 171, 144, 84, 164, 155, 52&gt;&gt;) &lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;","ref":"UUID.html#string_to_binary!/1","title":"UUID.string_to_binary!/1","type":"function"},{"doc":"Generate a new UUID v1. This version uses a combination of one or more of: unix epoch, random bytes, pid hash, and hardware address.Examplesiex&gt; UUID.uuid1() &quot;cdfdaf44-ee35-11e3-846b-14109ff1a304&quot; iex&gt; UUID.uuid1(:default) &quot;cdfdaf44-ee35-11e3-846b-14109ff1a304&quot; iex&gt; UUID.uuid1(:hex) &quot;cdfdaf44ee3511e3846b14109ff1a304&quot; iex&gt; UUID.uuid1(:urn) &quot;urn:uuid:cdfdaf44-ee35-11e3-846b-14109ff1a304&quot; iex&gt; UUID.uuid1(:raw) &lt;&lt;205, 253, 175, 68, 238, 53, 17, 227, 132, 107, 20, 16, 159, 241, 163, 4&gt;&gt; iex&gt; UUID.uuid1(:slug) &quot;zf2vRO41EeOEaxQQn_GjBA&quot;","ref":"UUID.html#uuid1/1","title":"UUID.uuid1/1","type":"function"},{"doc":"Generate a new UUID v1, with an existing clock sequence and node address. This version uses a combination of one or more of: unix epoch, random bytes, pid hash, and hardware address.Examplesiex&gt; UUID.uuid1() &quot;cdfdaf44-ee35-11e3-846b-14109ff1a304&quot; iex&gt; UUID.uuid1(:default) &quot;cdfdaf44-ee35-11e3-846b-14109ff1a304&quot; iex&gt; UUID.uuid1(:hex) &quot;cdfdaf44ee3511e3846b14109ff1a304&quot; iex&gt; UUID.uuid1(:urn) &quot;urn:uuid:cdfdaf44-ee35-11e3-846b-14109ff1a304&quot; iex&gt; UUID.uuid1(:raw) &lt;&lt;205, 253, 175, 68, 238, 53, 17, 227, 132, 107, 20, 16, 159, 241, 163, 4&gt;&gt; iex&gt; UUID.uuid1(:slug) &quot;zf2vRO41EeOEaxQQn_GjBA&quot;","ref":"UUID.html#uuid1/3","title":"UUID.uuid1/3","type":"function"},{"doc":"Convert a UUID v1 to a UUID v6 in the same format.Examplesiex&gt; UUID.uuid1_to_uuid6(&quot;dafc431a-0d21-11eb-adc1-0242ac120002&quot;) &quot;1eb0d21d-afc4-631a-adc1-0242ac120002&quot; iex&gt; UUID.uuid1_to_uuid6(&quot;2vxDGg0hEeutwQJCrBIAAg&quot;) &quot;HrDSHa_EYxqtwQJCrBIAAg&quot; iex&gt; UUID.uuid1_to_uuid6(&lt;&lt;218, 252, 67, 26, 13, 33, 17, 235, 173, 193, 2, 66, 172, 18, 0, 2&gt;&gt;) &lt;&lt;30, 176, 210, 29, 175, 196, 99, 26, 173, 193, 2, 66, 172, 18, 0, 2&gt;&gt;","ref":"UUID.html#uuid1_to_uuid6/1","title":"UUID.uuid1_to_uuid6/1","type":"function"},{"doc":"Generate a new UUID v3. This version uses an MD5 hash of fixed value chosen based on a namespace atom - see Appendix C of RFC 4122 and a name value. Can also be given an existing UUID String instead of a namespace atom.Accepted arguments are: :dns|:url|:oid|:x500|:nil OR uuid, StringExamplesiex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;) &quot;03bf0706-b7e9-33b8-aee5-c6142a816478&quot; iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;, :default) &quot;03bf0706-b7e9-33b8-aee5-c6142a816478&quot; iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;, :hex) &quot;03bf0706b7e933b8aee5c6142a816478&quot; iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;, :urn) &quot;urn:uuid:03bf0706-b7e9-33b8-aee5-c6142a816478&quot; iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;, :raw) &lt;&lt;3, 191, 7, 6, 183, 233, 51, 184, 174, 229, 198, 20, 42, 129, 100, 120&gt;&gt; iex&gt; UUID.uuid3(&quot;cdfdaf44-ee35-11e3-846b-14109ff1a304&quot;, &quot;my.domain.com&quot;) &quot;8808f33a-3e11-3708-919e-15fba88908db&quot; iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;, :slug) &quot;A78HBrfpM7iu5cYUKoFkeA&quot;","ref":"UUID.html#uuid3/3","title":"UUID.uuid3/3","type":"function"},{"doc":"Generate a new UUID v4. This version uses pseudo-random bytes generated by the crypto module.Examplesiex&gt; UUID.uuid4() &quot;fb49a0ec-d60c-4d20-9264-3b4cfe272106&quot; iex&gt; UUID.uuid4(:default) &quot;fb49a0ec-d60c-4d20-9264-3b4cfe272106&quot; iex&gt; UUID.uuid4(:hex) &quot;fb49a0ecd60c4d2092643b4cfe272106&quot; iex&gt; UUID.uuid4(:urn) &quot;urn:uuid:fb49a0ec-d60c-4d20-9264-3b4cfe272106&quot; iex&gt; UUID.uuid4(:raw) &lt;&lt;251, 73, 160, 236, 214, 12, 77, 32, 146, 100, 59, 76, 254, 39, 33, 6&gt;&gt; iex&gt; UUID.uuid4(:slug) &quot;-0mg7NYMTSCSZDtM_ichBg&quot;","ref":"UUID.html#uuid4/0","title":"UUID.uuid4/0","type":"function"},{"doc":"","ref":"UUID.html#uuid4/1","title":"UUID.uuid4/1","type":"function"},{"doc":"Generate a new UUID v5. This version uses an SHA1 hash of fixed value chosen based on a namespace atom - see Appendix C of RFC 4122 and a name value. Can also be given an existing UUID String instead of a namespace atom.Accepted arguments are: :dns|:url|:oid|:x500|:nil OR uuid, StringExamplesiex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;) &quot;016c25fd-70e0-56fe-9d1a-56e80fa20b82&quot; iex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;, :default) &quot;016c25fd-70e0-56fe-9d1a-56e80fa20b82&quot; iex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;, :hex) &quot;016c25fd70e056fe9d1a56e80fa20b82&quot; iex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;, :urn) &quot;urn:uuid:016c25fd-70e0-56fe-9d1a-56e80fa20b82&quot; iex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;, :raw) &lt;&lt;1, 108, 37, 253, 112, 224, 86, 254, 157, 26, 86, 232, 15, 162, 11, 130&gt;&gt; iex&gt; UUID.uuid5(&quot;fb49a0ec-d60c-4d20-9264-3b4cfe272106&quot;, &quot;my.domain.com&quot;) &quot;822cab19-df58-5eb4-98b5-c96c15c76d32&quot; iex&gt; UUID.uuid5(&quot;fb49a0ec-d60c-4d20-9264-3b4cfe272106&quot;, &quot;my.domain.com&quot;, :slug) &quot;giyrGd9YXrSYtclsFcdtMg&quot;","ref":"UUID.html#uuid5/3","title":"UUID.uuid5/3","type":"function"},{"doc":"Generate a new UUID v6. This version uses a combination of one or more of: unix epoch, random bytes, pid hash, and hardware address.Accepts a node_type argument that can be either :mac_address or :random_bytes. Defaults to :random_bytes.See the RFC draft, section 3.3 for more information on the node parts.Examplesiex&gt; UUID.uuid6() &quot;1eb0d28f-da4c-6eb2-adc1-0242ac120002&quot; iex&gt; UUID.uuid6(:random_bytes, :default) &quot;1eb0d297-eb1e-62a6-a37f-a55eda5dd6e4&quot; iex&gt; UUID.uuid6(:random_bytes, :hex) &quot;1eb0d298502563fcadcd25e5d0a44c1a&quot; iex&gt; UUID.uuid6(:random_bytes, :urn) &quot;urn:uuid:1eb0d298-ca10-6914-ab0e-7d7e1e6e1808&quot; iex&gt; UUID.uuid6(:random_bytes, :raw) &lt;&lt;30, 176, 210, 153, 52, 23, 102, 230, 164, 146, 99, 66, 4, 72, 220, 114&gt;&gt; iex&gt; UUID.uuid6(:random_bytes, :slug) &quot;HrDSmab8ZnqR4SKw4LN-UA&quot;","ref":"UUID.html#uuid6/2","title":"UUID.uuid6/2","type":"function"},{"doc":"Generate a new UUID v6, with an existing clock sequence and node address. This version uses a combination of one or more of: unix epoch, random bytes, pid hash, and hardware address.","ref":"UUID.html#uuid6/3","title":"UUID.uuid6/3","type":"function"},{"doc":"Convert a UUID v6 to a UUID v1 in the same format.Examplesiex&gt; UUID.uuid6_to_uuid1(&quot;1eb0d21d-afc4-631a-adc1-0242ac120002&quot;) &quot;dafc431a-0d21-11eb-adc1-0242ac120002&quot; iex&gt; UUID.uuid6_to_uuid1(&quot;HrDSHa_EYxqtwQJCrBIAAg&quot;) &quot;2vxDGg0hEeutwQJCrBIAAg&quot; iex&gt; UUID.uuid6_to_uuid1(&lt;&lt;30, 176, 210, 29, 175, 196, 99, 26, 173, 193, 2, 66, 172, 18, 0, 2&gt;&gt;) &lt;&lt;218, 252, 67, 26, 13, 33, 17, 235, 173, 193, 2, 66, 172, 18, 0, 2&gt;&gt;","ref":"UUID.html#uuid6_to_uuid1/1","title":"UUID.uuid6_to_uuid1/1","type":"function"},{"doc":"","ref":"UUID.html#uuid_string_to_hex_pair/1","title":"UUID.uuid_string_to_hex_pair/1","type":"function"},{"doc":"Validate a RFC4122 UUID.","ref":"UUID.html#valid?/2","title":"UUID.valid?/2","type":"function"},{"doc":"Identify the UUID variant according to section 4.1.1 of RFC 4122.Examplesiex&gt; UUID.variant(&lt;&lt;1, 1, 1&gt;&gt;) :reserved_future iex&gt; UUID.variant(&lt;&lt;1, 1, 0&gt;&gt;) :reserved_microsoft iex&gt; UUID.variant(&lt;&lt;1, 0, 0&gt;&gt;) :rfc4122 iex&gt; UUID.variant(&lt;&lt;0, 1, 1&gt;&gt;) :reserved_ncs iex&gt; UUID.variant(&lt;&lt;1&gt;&gt;) ** (ArgumentError) Invalid argument; Not valid variant bits","ref":"UUID.html#variant/1","title":"UUID.variant/1","type":"function"},{"doc":"Hex representation of UUID.","ref":"UUID.html#t:hex/0","title":"UUID.hex/0","type":"type"},{"doc":"Information about given UUID (see info/1)","ref":"UUID.html#t:info/0","title":"UUID.info/0","type":"type"},{"doc":"Namespace for UUID v3 and v5 (with some predefined UUIDs as atom aliases).","ref":"UUID.html#t:namespace/0","title":"UUID.namespace/0","type":"type"},{"doc":"Raw binary representation of UUID.","ref":"UUID.html#t:raw/0","title":"UUID.raw/0","type":"type"},{"doc":"Slug representation of UUID.","ref":"UUID.html#t:slug/0","title":"UUID.slug/0","type":"type"},{"doc":"String representation of UUID.","ref":"UUID.html#t:str/0","title":"UUID.str/0","type":"type"},{"doc":"One of representations of UUID.","ref":"UUID.html#t:t/0","title":"UUID.t/0","type":"type"},{"doc":"Type of UUID representation.","ref":"UUID.html#t:type/0","title":"UUID.type/0","type":"type"},{"doc":"URN representation of UUID.","ref":"UUID.html#t:urn/0","title":"UUID.urn/0","type":"type"},{"doc":"Variant of UUID: see RFC for the details.","ref":"UUID.html#t:variant/0","title":"UUID.variant/0","type":"type"},{"doc":"UUID version.","ref":"UUID.html#t:version/0","title":"UUID.version/0","type":"type"},{"doc":"UUID info","ref":"UUID.Info.html","title":"UUID.Info","type":"module"},{"doc":"Inspect a UUID and return tuple with {:ok, result}, where result is information about its 128-bit binary content, type, version and variant.Timestamp portion is not checked to see if it's in the future, and therefore not yet assignable. See &quot;Validation mechanism&quot; in section 3 of RFC 4122.Will return {:error, message} if the given string is not a UUID representation in a format like:&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;Examplesiex&gt; UUID.Info.new(&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;) {:ok, %UUID.Info{ uuid: &quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;, binary: &lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt;, type: :default, version: 4, variant: :rfc4122 }} iex&gt; UUID.Info.new(&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;) {:ok, %UUID.Info{ uuid: &quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;, binary: &lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, 234, 107, 143, 75, 91, 110, 115&gt;&gt;, type: :hex, version: 4, variant: :rfc4122 }} iex&gt; UUID.Info.new(&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;) {:ok, %UUID.Info{ uuid: &quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;, binary: &lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, 19, 20, 16, 159, 241, 163, 4&gt;&gt;, type: :urn, version: 1, variant: :rfc4122 }} iex&gt; UUID.Info.new(&lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;) {:ok, %UUID.Info{ uuid: &lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;, binary: &lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;, type: :raw, version: 4, variant: :rfc4122 }} iex&gt; UUID.Info.new(&quot;12345&quot;) {:error, &quot;Invalid argument; Not a valid UUID: 12345&quot;}","ref":"UUID.Info.html#new/1","title":"UUID.Info.new/1","type":"function"},{"doc":"Inspect a UUID and return information about its 128-bit binary content, type, version and variant.Timestamp portion is not checked to see if it's in the future, and therefore not yet assignable. See &quot;Validation mechanism&quot; in section 3 of RFC 4122.Will raise an ArgumentError if the given string is not a UUID representation in a format like:&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;Examplesiex&gt; UUID.Info.new!(&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;) %UUID.Info{ uuid: &quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;, binary: &lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt;, type: :default, version: 4, variant: :rfc4122 } iex&gt; UUID.Info.new!(&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;) %UUID.Info{ uuid: &quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;, binary: &lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, 234, 107, 143, 75, 91, 110, 115&gt;&gt;, type: :hex, version: 4, variant: :rfc4122 } iex&gt; UUID.Info.new!(&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;) %UUID.Info{ uuid: &quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;, binary: &lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, 19, 20, 16, 159, 241, 163, 4&gt;&gt;, type: :urn, version: 1, variant: :rfc4122 } iex&gt; UUID.Info.new!(&lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;) %UUID.Info{ uuid: &lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;, binary: &lt;&lt;39, 73, 196, 181, 29, 90, 74, 96, 157, 47, 171, 144, 84, 164, 155, 52&gt;&gt;, type: :raw, version: 4, variant: :rfc4122 } iex&gt; UUID.Info.new!(&quot;foobar&quot;) ** (ArgumentError) Invalid argument; Not a valid UUID: foobar","ref":"UUID.Info.html#new!/1","title":"UUID.Info.new!/1","type":"function"},{"doc":"","ref":"UUID.Info.html#t:t/0","title":"UUID.Info.t/0","type":"type"},{"doc":"UUID Utils UUID generator and utilities for Elixir. See RFC 4122.Note: This is a fork of elixir_uuid, which is great, but the maintainer has not been responsive for 1-2 years at the time of writing this.InstallationReleases are published through hex.pm. Add as a dependency in your mix.exs file:defp deps do [ {:uuid_utils, &quot;~&gt; 1.5&quot;} ] endUUID v1Generated using a combination of time since the west adopted the gregorian calendar and the node id MAC address.iex&gt; UUID.uuid1() &quot;5976423a-ee35-11e3-8569-14109ff1a304&quot;UUID v3Generated using the MD5 hash of a name and either a namespace atom or an existing UUID. Valid namespaces are: :dns, :url, :oid, :x500, :nil.iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;) &quot;03bf0706-b7e9-33b8-aee5-c6142a816478&quot; iex&gt; UUID.uuid3(&quot;5976423a-ee35-11e3-8569-14109ff1a304&quot;, &quot;my.domain.com&quot;) &quot;0609d667-944c-3c2d-9d09-18af5c58c8fb&quot;UUID v4Generated based on pseudo-random bytes.iex&gt; UUID.uuid4() &quot;fcfe5f21-8a08-4c9a-9f97-29d2fd6a27b9&quot;UUID v5Generated using the SHA1 hash of a name and either a namespace atom or an existing UUID. Valid namespaces are: :dns, :url, :oid, :x500, :nil.iex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;) &quot;016c25fd-70e0-56fe-9d1a-56e80fa20b82&quot; iex&gt; UUID.uuid5(&quot;fcfe5f21-8a08-4c9a-9f97-29d2fd6a27b9&quot;, &quot;my.domain.com&quot;) &quot;b8e85535-761a-586f-9c04-0fb0df2cbe84&quot;UUID v6Generated using a combination of time since the west adopted the gregorian calendar and either the node id MAC address or random bytes.Valid node types are :mac_address or :random_bytes and defaults to :random_bytes.iex&gt; UUID.uuid6() &quot;1eb0d1d0-126a-6495-9a93-171634969e27&quot; iex&gt; UUID.uuid6(:random_bytes) &quot;1eb0d1d5-c3fa-6b2e-8d7a-ef182baf6b94&quot;FormattingAll UUID generator functions have an optional format parameter as the last argument.Possible values: :default, :hex, :urn. Default value is :default and can be omitted.:default is a standard UUID representation:iex&gt; UUID.uuid1() &quot;3c69679f-774b-4fb1-80c1-7b29c6e7d0a0&quot; iex&gt; UUID.uuid4(:default) &quot;3c69679f-774b-4fb1-80c1-7b29c6e7d0a0&quot; iex&gt; UUID.uuid3(:dns, &quot;my.domain.com&quot;) &quot;03bf0706-b7e9-33b8-aee5-c6142a816478&quot; iex&gt; UUID.uuid5(:dns, &quot;my.domain.com&quot;, :default) &quot;016c25fd-70e0-56fe-9d1a-56e80fa20b82&quot;:hex is a valid hex string, corresponding to the standard UUID without the - (dash) characters:iex&gt; UUID.uuid4(:hex) &quot;19be859d0c1f4a7f95ddced995037350&quot; iex&gt; UUID.uuid4(:weak, :hex) &quot;ebeff765ddc843e486c287fb668d5d37&quot;:urn is a standard UUID representation prefixed with the UUID URN:iex&gt; UUID.uuid1(:urn) &quot;urn:uuid:b7483bde-ee35-11e3-8daa-14109ff1a304&quot;Utility functionsUse UUID.info/1 and UUID.info!/1 to get a struct containing information about the given UUID. UUID.info/1 returns a tuple of {:ok, info} for valid cases or {:error, reason} if the argument is not a UUID string.UUID.info!/1 directly returns the info struct when successful or raises an ArgumentError for error cases.iex&gt; UUID.info!(&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;) %UUID.Info{ uuid: &quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;, binary: &lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt;, type: :default, version: 4, variant: :rfc4122 } iex&gt; UUID.info!(&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;) %UUID.Info{ uuid: &quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;, binary: &lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, 234, 107, 143, 75, 91, 110, 115&gt;&gt;, type: :hex, version: 4, variant: :rfc4122 } iex&gt; UUID.info!(&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;) %UUID.Info{ uuid: &quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;, binary: &lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, 19, 20, 16, 159, 241, 163, 4&gt;&gt;, type: :urn, version: 1, variant: :rfc4122 }Use UUID.string_to_binary!/1 to convert a valid UUID string to its raw binary equivalent. An ArgumentError is raised if the argument is not a valid UUID string.iex&gt; UUID.string_to_binary!(&quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot;) &lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt; iex&gt; UUID.string_to_binary!(&quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot;) &lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, 234, 107, 143, 75, 91, 110, 115&gt;&gt; iex&gt; UUID.string_to_binary!(&quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;) &lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, 19, 20, 16, 159, 241, 163, 4&gt;&gt;Use UUID.binary_to_string!/2 to convert valid UUID binary data to a String representation, with an optional format similar to the generator functions above. An ArgumentError is raised if the argument is not valid UUID binary data.iex&gt; UUID.binary_to_string!(&lt;&lt;135, 13, 248, 232, 49, 7, 68, 135, 131, 22, 129, 224, 137, 184, 194, 207&gt;&gt;) &quot;870df8e8-3107-4487-8316-81e089b8c2cf&quot; iex&gt; UUID.binary_to_string!(&lt;&lt;142, 161, 81, 61, 248, 161, 77, 234, 155, 234, 107, 143, 75, 91, 110, 115&gt;&gt;, :hex) &quot;8ea1513df8a14dea9bea6b8f4b5b6e73&quot; iex&gt; UUID.binary_to_string!(&lt;&lt;239, 27, 26, 40, 238, 52, 17, 227, 136, 19, 20, 16, 159, 241, 163, 4&gt;&gt;, :urn) &quot;urn:uuid:ef1b1a28-ee34-11e3-8813-14109ff1a304&quot;AttributionSome code ported from avtobiff/erlang-uuid.Some helper functions from rjsamson/hexate.LicenseApache v2.0","ref":"readme.html","title":"UUID Utils","type":"extras"},{"doc":"ChangelogUnreleased changesNone.v1.3.0, 13 Oct 2020, Elixir ~&gt; 1.7[Enhancement] Add UUID v6[Enhancement] Add UUID v1&lt;-&gt;v6 conversion[Enhancement] Package namev1.2.1, 24 Oct 2019, Elixir ~&gt; 1.0[Enhancement] Improve string_to_binary and binary_to_string performance.v1.2.0, 24 Jun 2018, Elixir ~&gt; 1.0[Breaking] Rename application from :uuid to :elixir_uuid to avoid potential collisions with other applications with the same name.v1.1.8, 27 Sep 2017, Elixir ~&gt; 1.0[Fix] Account for unsuitable hardware addresses when selecting UUID v1 node value.v1.1.7, 13 Mar 2017, Elixir ~&gt; 1.0[Enhancement] Add UUID.info/1 counterpart to UUID.info!/1.v1.1.6, 04 Jan 2016, Elixir ~&gt; 1.0[Fix] Update UUID v3 and v5 namespace value formats.v1.1.5, 20 Sep 2016, Elixir ~&gt; 1.0[Internal] Use :crypto.strong_rand_bytes/1 instead of :crypto.rand_bytes/1. The :weak option in UUID.uuid4/1 no longer has any effect.[Fix] Clean up warnings generated by function calls in mix.exs under Elixir 1.4.v1.1.4, 29 May 2016, Elixir ~&gt; 1.0[Internal] Correctly skip any all-0 hardware addresses when generating UUID v1.v1.1.3, 25 Jan 2016, Elixir ~&gt; 1.0[Internal] Fix documentation, and update documentation generator dependencies.v1.1.2, 19 Dec 2015, Elixir ~&gt; 1.0[Internal] Fix piping without parentheses warning for Elixir 1.2.v1.1.1, 14 Nov 2015, Elixir ~&gt; 1.0[Internal] Ensure UUID v1 generator node_id lookup correctly skips network adapters with unsuitable :hwaddr values.[Internal] Simplify UUID v1 clock_seq random generation.v1.1.0, 24 Oct 2015, Elixir ~&gt; 1.0[Enhancement] uuid4 now accepts an additional first argument :strong (default) or :weak, indicating whether to use strong PRNG or not.v1.0.1, 30 May 2015, Elixir ~&gt; 1.0[Internal] Use :os.timestamp/1 instead of :erlang.now/1.v1.0.0, 09 Mar 2015, Elixir ~&gt; 1.0[Internal] Vastly improved binary handling: ~3.5x faster UUID generation and UUID binary to string, ~1.5x faster UUID string to binary.[Breaking] Rename info/1 to info!/1 for consistency with Elixir best practices.[Enhancement] Add binary_to_string!/2 and string_to_binary!/1 utility functions.[Breaking] Bump Elixir version requirement to ~&gt; 1.0.[Internal] Additional tests, integrate repo with Travis CI.v0.1.5, 12 Aug 2014, Elixir &gt;= 0.15.0[Internal] Allow Elixir 0.15.0 and above for convenience.v0.1.4, 10 Aug 2014, Elixir ~&gt; 0.15.0[Internal] Use new Elixir binary matching type declaration format.v0.1.3, 14 Jul 2014, Elixir ~&gt; 0.14.3[Internal] Use new Elixir default parameter declaration format in separate function header.v0.1.2, 01 Jul 2014, Elixir ~&gt; 0.14.2[Enhancement] UUID.info/1 now also returns the binary value of the given UUID.v0.1.1, 14 Jun 2014, Elixir ~&gt; 0.14.0[Enhancement] Added UUID.uuid1/3 which allows optional preset clock_seq and node_id, the last argument is still an optional format atom.v0.1.0, 07 Jun 2014, Elixir == 0.13.3 or ~&gt; 0.14.0-devInitial release.","ref":"changelog.html","title":"Changelog","type":"extras"}]